%define	name	vanilla
%define	Name	Vanilla
%define	version	2.9pl7
%define release	2mdk
%define summary	Netrek Vanilla Server

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	BSD
Group: 		Games/Other
Source0:	ftp://ftp.netrek.org/pub/netrek/servers/%{name}/%{Name}-%{version}.tar.bz2
Source1:	%{Name}.scripts.tar.bz2
Source2:	%{Name}.icons.tar.bz2
Patch:		%{Name}.source.patch.bz2
Url: 		http://vanilla.us.netrek.org
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Netrek is the probably the first video game which can accurately be
described as a "sport."  It has more in common with basketball than
with arcade games or Quake.  Its vast and expanding array of tactics
and strategies allows for many different play styles; the best players
are the ones who think fastest, not necessarily the ones who twitch
most effectively.  It can be enjoyed as a twitch game, since the
dogfighting system is extremely robust, but the things that really set
Netrek apart from other video games are the team and strategic
aspects.  Team play is dynamic and varied, with roles constantly
changing as the game state changes.  Strategic play is explored in
organized league games; after 6+ years of league play, strategies are
still being invented and refined.

The game itself has existed for over 10 years, and has a solid
playerbase, including some people who have been playing for nearly as
long as the game has existed.

This is a server for the multi-player game of Netrek.

%package gum
Summary:	Netrek Vanilla Server Configuration Program
Group:		Games/Other
BuildRequires:	libgtk+1.2-devel
Requires:	%{name}-%{version}

%description gum
Configuration program for the Netrek Vanilla Server.

Although the server will run out of the box, it can be configured to
behave differently through configuration files.  This program provides
a graphical interface to these files.  It is not required to play.

%prep
%setup -n %{Name}-%{version}
%setup -n %{Name}-%{version} -T -D -a1
%setup -n %{Name}-%{version} -T -D -a2
%patch

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
# server
./configure --prefix=%{_gamesbindir}/%{name}
make
# gui
(cd gum && %configure && %make)

%install
# server
make LIBDIR=$RPM_BUILD_ROOT/%{_gamesbindir}/%{name} install
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -d -m 755 $RPM_BUILD_ROOT/var/log/%{name}
install -m 755 bin/init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}
install -m 755 bin/crontab $RPM_BUILD_ROOT%{_sysconfdir}/cron.hourly/%{name}
install -m 644 bin/logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
install -m 644 bin/keys $RPM_BUILD_ROOT%{_gamesbindir}/%{name}/rsa-keyfile
# correct silly perm
chmod 644 $RPM_BUILD_ROOT%{_gamesbindir}/%{name}/.planets

# gui
(cd gum && %makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir})

# icons
install -D -m 644 gum_48x48.xpm $RPM_BUILD_ROOT%{_liconsdir}/gum.xpm 
install -D -m 644 gum_32x32.xpm $RPM_BUILD_ROOT%{_iconsdir}/gum.xpm 
install -D -m 644 gum_16x16.xpm $RPM_BUILD_ROOT%{_miconsdir}/gum.xpm
# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-gum <<EOF
?package(%{name}-gum):\\
	command="%{_gamesbindir}/gum"\\
	needs="X11"\\
	icon="gum.xpm"\\
	section="Amusement/Other"\\
	title="XShipWars" \
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
# links
(cd %{_gamesbindir}/%{name} && ln -s /var/log/%{name} log)

# add vanilla service
chkconfig --add %{name}

%preun
# links
(cd %{_gamesbindir}/%{name} && rm -f log)

# stop vanilla if running
if [ -f /var/lock/subsys/%{name} ]; then
	%{_sysconfdir}/init.d/%{name} stop
fi
# remove vanilla service
chkconfig --del %{name}

%post gum
%{update_menus}

%postun gum
%{clean_menus}

%files
%defattr(-, root, root)
%doc BUGS ChangeLog CHANGES EXAMPLE INSTALL INSTALL.INL INSTALL.RSA
%doc MIRRORS README README.developers README.releasing
%doc xsg/XSG.doc xsg/Sample.xsgrc pledit/README
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/cron.hourly/%{name}
%{_sysconfdir}/logrotate.d/%{name}
%dir %{_gamesbindir}/%{name}
%config(noreplace) %{_gamesbindir}/%{name}/.banned
%config(noreplace) %{_gamesbindir}/%{name}/.bypass
%config(noreplace) %{_gamesbindir}/%{name}/.clue-bypass
%config(noreplace) %{_gamesbindir}/%{name}/.features
%config(noreplace) %{_gamesbindir}/%{name}/.motd
%config(noreplace) %{_gamesbindir}/%{name}/.motd_basep
%config(noreplace) %{_gamesbindir}/%{name}/.motd_clue
%config(noreplace) %{_gamesbindir}/%{name}/.nocount
%config(noreplace) %{_gamesbindir}/%{name}/.planets
%config(noreplace) %{_gamesbindir}/%{name}/.ports
%config(noreplace) %{_gamesbindir}/%{name}/.reserved
%config(noreplace) %{_gamesbindir}/%{name}/.sysdef
%config(noreplace) %{_gamesbindir}/%{name}/.time
%config(noreplace) %{_gamesbindir}/%{name}/.tourn.map
%config(noreplace) %{_gamesbindir}/%{name}/motd_basep_logo.MASTER
%config(noreplace) %{_gamesbindir}/%{name}/motd_clue_logo.MASTER
%config(noreplace) %{_gamesbindir}/%{name}/motd_logo.MASTER
%config(noreplace) %{_gamesbindir}/%{name}/rsa-keyfile
%{_gamesbindir}/%{name}/auto-archive.pl
%{_gamesbindir}/%{name}/basep
%{_gamesbindir}/%{name}/cambot
%{_gamesbindir}/%{name}/daemonII
%{_gamesbindir}/%{name}/end_tourney.pl
%{_gamesbindir}/%{name}/inl
%{_gamesbindir}/%{name}/mars
%{_gamesbindir}/%{name}/newbie
%{_gamesbindir}/%{name}/newstartd
%{_gamesbindir}/%{name}/ntserv
%{_gamesbindir}/%{name}/pledit
%{_gamesbindir}/%{name}/puck
%{_gamesbindir}/%{name}/robotII
%{_gamesbindir}/%{name}/rsa_key2cap
%{_gamesbindir}/%{name}/rsa_keycomp
%{_gamesbindir}/%{name}/sequencer
%{_gamesbindir}/%{name}/trekoff.bitmap
%{_gamesbindir}/%{name}/trekon
%{_gamesbindir}/%{name}/trekon.bitmap
%{_gamesbindir}/%{name}/updated
%{_gamesbindir}/%{name}/xsg
%{_gamesbindir}/%{name}/tools
%attr(-, games, games) %dir /var/log/%{name}

%files gum
%defattr(-, root, root)
%{_gamesbindir}/gum
%{_gamesdatadir}/gum
%{_menudir}/%{name}-gum
%{_iconsdir}/gum.xpm
%{_miconsdir}/gum.xpm
%{_liconsdir}/gum.xpm

%changelog
* Sat Oct 27 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.9pl7-2mdk
- new in contribs
- fixed smp compilation
- fixed logrotate complaints
- rewrote init script
- changed license tag to BSD

* Wed Oct 24 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.9pl7-1mdk
- first mandrake release
